# Class Connection

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.NativeComponent
org.a11y.brlapi.ConnectionBase
org.a11y.brlapi.Connection

All Implemented Interfaces:
  `AutoCloseable`

public class Connection extends ConnectionBase

## Field Summary

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`Connection(ConnectionSettings settings)`

## Method Summary

Modifier and Type
Method
Description
`int`
`enterTtyMode()`
`int`
`enterTtyMode(int tty)`
`int`
`enterTtyMode(String driver)`
`void`
`enterTtyModeWithPath(int... ttys)`
`void`
`enterTtyModeWithPath(int[] ttys, String driver)`
`int`
`getCellCount()`
`Parameters`
`getParameters()`
`final long`
`readKey()`
`void`
`write(byte[] dots)`
`void`
`write(int cursor)`
`void`
`write(int cursor, String text)`
`void`
`write(String text)`
`void`
`write(String text, int cursor)`

### Methods inherited from class ConnectionBase

`acceptAllKeys, acceptKeyRanges, acceptKeys, close, enterRawMode, enterTtyMode, enterTtyModeWithPath, getAuthenticationScheme, getConnection, getDisplaySize, getDriverName, getFileDescriptor, getModelIdentifier, getParameter, getServerHost, ignoreAllKeys, ignoreKeyRanges, ignoreKeys, isUnusable, leaveRawMode, leaveTtyMode, pause, readKey, readKeyWithTimeout, recvRaw, sendRaw, setFocus, setParameter, setUnusable, unwatchParameter, watchParameter, write, writeDots, writeText`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Connection

public Connection(ConnectionSettings settings) throws ConnectException

Throws:
  `ConnectException`

## Method Details

### getCellCount

public int getCellCount()

### enterTtyMode

public int enterTtyMode(int tty)

### enterTtyMode

public int enterTtyMode(String driver)

### enterTtyMode

public int enterTtyMode()

### enterTtyModeWithPath

public void enterTtyModeWithPath(int[] ttys, String driver)

### enterTtyModeWithPath

public void enterTtyModeWithPath(int... ttys)

### readKey

public final long readKey() throws InterruptedIOException

Throws:
  `InterruptedIOException`

### write

public void write(byte[] dots)

### write

public void write(int cursor, String text)

### write

public void write(String text, int cursor)

### write

public void write(int cursor)

### write

public void write(String text)

### getParameters

public Parameters getParameters()